

//*****************************************************************
//
// File Name	: 'uart.h'
// Title			: UART driver
// Author		: Pascal Stang
// Date			: 11/22/2000
// Version		: 0.1
// Target MCU	: ATmega103
// Editor Tabs	: 3
//
//*****************************************************************



#ifndef __UART_H__
#define __UART_H__

#include "global.h"

#define UART_BAUD_RATE         19200		// baud rate
#define UART_BAUD_SELECT       (F_CPU/(UART_BAUD_RATE*16L)-1)

/* Global functions */
void uartInitBuffers				(void);
void uartInit						(void);
void uartSendByte					(u08 data);
u08  uartReceiveByte				(u08* data);
u08  uartReceiveBufferEmpty	(void);
void uartFlushReceiveBuffer	(void);
void uartPrintStr					(char str[]);
u08  uartSendBuffer				(char *buffer, u16 nBytes);
void uartPrintfu04				(u08 Data);
void uartPrintfu08				(u08 Data);
void uartPrintfu16				(u16 Data);
void uartPrintfu32				(u32 Data);
void uartPrintChar				(u08 data);


/*
extern void uartPrintfProgStr  (u08* pBuf);
extern void uartPrintfEndOfLine(void);
extern void uartPrintfu08      (u08 Data);
extern void uartPrintfu16      (u16 Data);
extern void uartPrintfu32      (u32 Data);
extern void uartInit           (void);
extern unsigned char uartHasChar(void);
extern void uartPuts  			(u08* pBuf);
extern void uartPutsln			(u08* pBuf);

extern void print_number(int base, int unsigned_p, long n);
*/

/* Macros */
#define PRINT(string) (UART_PrintfProgStr(PSTR(string)))
#define EOL           UART_PrintfEndOfLine
#endif

